<?php

namespace Drp\AdfsSocialiteProvider\Http\Controllers;

use Illuminate\Http\RedirectResponse;
use Laravel\Socialite\Facades\Socialite;

class RedirectToProvider
{
    public function __invoke(): RedirectResponse
    {
        return Socialite::driver('adfs')
            ->scopes(['openid', 'profile'])
            ->redirect();
    }
}
